
Redmine - Defect #14803

Percent done resets to zero when updating issue

2013-08-30 20:47 - David Cullen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.2

Description

When I click on the link to update an issue, the percent done resets to zero.

I have made this change to my installation:

diff --git a/app/views/issues/_attributes.html.erb b/app/views/issues/_attributes.html.erb

index 9b4c508..10d5fab 100644

--- a/app/views/issues/_attributes.html.erb

+++ b/app/views/issues/_attributes.html.erb

@@ -59,7 +59,7 @@

 <% end %>

 <% if @issue.safe_attribute?('done_ratio') && @issue.leaf? && Issue.use_field_for_done_ratio? %>

-<p><%= f.select :done_ratio, ((0..10).to_a.collect {|r| ["#{r*10} %", r*10] }), :required => @iss

ue.required_attribute?('done_ratio') %></p>

+<p><%= f.select :done_ratio, ((0..10).step(2.5).to_a.collect {|r| ["#{r*10} %", r*10] }), :requir

ed => @issue.required_attribute?('done_ratio') %></p>

 <% end %>

 </div>

 </div>

 Here is the output of scripts/about:

Environment:

Redmine version                2.3.2.stable

Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

Rails version                  3.2.13

Environment                    production

Database adapter               Mysql2

Redmine plugins:

redmine_default_assign         0.4

History

#1 - 2013-08-30 20:48 - David Cullen

scripts/about with formatting preserved:

Environment:

  Redmine version                2.3.2.stable

  Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

  Rails version                  3.2.13

  Environment                    production

  Database adapter               Mysql2

Redmine plugins:

  redmine_default_assign         0.4

#2 - 2022-08-07 15:31 - Go MAEDA

- Status changed from New to Closed
- Resolution set to Invalid

I am closing this issue because the reported problem is with the customized code and not with Redmine.
